Page MenuHomePhabricator

Rename 'clip' and 'unClip' icons into 'bookmarkOutline' and 'bookmark'
Closed, ResolvedPublic

Description

'clip' and 'unClip' icons from 'moderation' pack are misleading for both, the symbol and what they are used for.

Event Timeline

Volker_E removed Volker_E as the assignee of this task.Dec 22 2017, 10:34 PM
Volker_E triaged this task as Lowest priority.
Volker_E created this task.
Volker_E moved this task from Backlog to Next-up on the OOUI board.Feb 2 2018, 1:57 AM
Volker_E moved this task from Unsorted to OOUI on the UI-Standardization board.Mar 19 2018, 5:07 AM

Change 421471 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] [DEPRECATING CHANGE] icons: Rename 'clip'/'unClip' to 'bookmark'/'bookmarkOutline'

https://gerrit.wikimedia.org/r/421471

Volker_E moved this task from Next-up to Reviewing on the OOUI board.Mar 23 2018, 4:23 AM
Volker_E updated the task description. (Show Details)Mar 23 2018, 5:34 AM

Change 421471 merged by jenkins-bot:
[oojs/ui@master] [DEPRECATING CHANGE] icons: Rename 'clip'/'unClip' to 'bookmark'/'bookmarkOutline'

https://gerrit.wikimedia.org/r/421471

Change 422584 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] RCFilters: Rename deprecated 'unClip' icon to 'bookmark'

https://gerrit.wikimedia.org/r/422584

Volker_E updated the task description. (Show Details)

Change 422584 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Rename deprecated 'unClip' icon to 'bookmark'

https://gerrit.wikimedia.org/r/422584

Glitch in OOUI v0.26.1 release caused T191366. Fixed in v0.26.2

Volker_E updated the task description. (Show Details)May 7 2018, 9:13 PM

Change 431671 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] icons: Remove 'clip' & 'unClip', deprecated in v0.26.1

https://gerrit.wikimedia.org/r/431671

Volker_E updated the task description. (Show Details)May 7 2018, 10:29 PM

Change 431671 merged by jenkins-bot:
[oojs/ui@master] [BREAKING CHANGE] icons: Remove 'clip' & 'unClip', deprecated in v0.26.1

https://gerrit.wikimedia.org/r/431671

Volker_E closed this task as Resolved.Aug 13 2018, 10:15 PM
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)
Volker_E removed a subscriber: gerritbot.

Change 452872 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.28.0

https://gerrit.wikimedia.org/r/452872

Change 452872 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.28.0

https://gerrit.wikimedia.org/r/452872

The OOUI release landed in MediaWiki 1.32.0-wmf.18.

Volker_E raised the priority of this task from Lowest to Needs Triage.Nov 27 2018, 4:40 AM
Volker_E moved this task from Backlog to Done on the UI-Standardization-Kanban board.